%define name       gtkmathview 
%define version    0.7.5
%define release    2mdk

%define major 0
%define libname  %mklibname %name %major


Summary: 	GtkMathView is a C++ rendering engine for MathML documents
Name: 		%name
Version: 	%version
Release: 	%release	
License: 	GPL
Group: 		Networking/WWW
Url:            http://www.cs.unibo.it/helm/mml-widget/
Source: 	http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.bz2
Source1:         gtkmathview.html.tar.bz2 
#Patch:	gtkmathview-0.4.3-gcc3.4.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
#BuildRequires:	  t1lib-devel >= 1.3 gmetadom-devel >= 0.1.8 autoconf2.5
BuildRequires:	  gmetadom-devel >= 0.1.8 autoconf2.5
BuildRequires:    libxml2-devel >= 2.2.0
BuildRequires:    libcairo-static-devel
Requires:	  gtk2 >= 2.4.0 t1lib >= 1.3 %libname = %version
Requires:         libxml2 >= 2.5.0
Requires:         %{_lib}gmetadom_gdome_cpp_smart0 >= 0.1.8
Requires:         fonts-ttf-latex
 
%description
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %libname
Summary:   Libraries for gtkmathview
Group: System/Libraries 

%description -n %libname
GtkMathView is a GTK Widget for rendering MathML documents. 

%package -n %libname-devel
Summary:  Libraries and include files for gtkmathview
Group:    Development/C++
Requires: %libname = %version glib-devel >= 1.2.10 libxml2-devel >= 2.4.26  
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
GtkMathView is a GTK Widget for rendering MathML documents.

%prep
%setup -q
#%patch -p1

%build

%configure2_5x --with-t1lib=no  --with-libxml2
 
%make 

##Add updated html reference manual##
mkdir DATA.TMP
cd DATA.TMP 
tar xjf %{SOURCE1}
cd ../../..

%install
rm -rf %buildroot
%makeinstall_std  
mkdir -p %buildroot/%_docdir/%name
cp -r DATA.TMP/%name.html %buildroot/%_docdir/%name 
 
%post -n %libname -p /sbin/ldconfig 

%postun -n %libname -p /sbin/ldconfig     
 
%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog HISTORY INSTALL LICENSE NEWS README TODO
%config(noreplace) %_sysconfdir/gtkmathview/gtkmathview.conf.xml
%_bindir/mathmlsvg
%_bindir/mathmlviewer
%_datadir/%name
%doc %_docdir/%name/ 
%_mandir/man1/*
 
%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*
%_libdir/pkgconfig/*

%changelog
* Fri Nov 25 2005 Marcel Pol <mpol@mandriva.org> 0.7.5-2mdk
- upload in 2006 Community for newer abiword

* Thu Oct 06 2005 Marcel Pol <mpol@mandriva.org> 0.7.5-1mdk
- 0.7.5

* Wed Sep 28 2005 Marcel Pol <mpol@mandriva.org> 0.7.4-2mdk
- require fonts-ttf-latex

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 0.7.4-1mdk
- fix buildrequires
- New release 0.7.4

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 0.7.3-1mdk
- fix file list
- fix buildrequires
- 0.7.3

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-4mdk
- multiarch

* Tue Jan 10 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.4.3-3mdk
- rebuild without t1lib (build fails if latest is used)

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- spec cleanup
- fix deps
- patch for new g++

* Tue Jul 29 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.4.3-1mdk
- 0.4.3
- drop gcc Patch...merged upstream
- build --with libxml2
- Requires/BuildRequires
- rm Info Post/Postrun (info dropped in 0.4.2)

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- fix directory ownership

* Tue Jun 10 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.4.2-1mdk
- release 0.4.2
- rm info, no longer created 
- add gtkmathview.pc
- BuildRequires/Requires gmetadom-devel>= 0.1.8

* Mon Jun  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- move the config script to the devel package

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- from Charles A Edwards <eslrahc@bellsouth.net>:
  - initial Mdk release 
